'use strict';
var isBrowser = new Function('try {return this===window;}catch(e){return false;}');
var isWebWorker = new Function('try {return self instanceof WorkerGlobalScope;}catch(e){return false;}');
var useES6 = false;
if (!isBrowser() && !isWebWorker()) {
    useES6 = process.env.ES6 === 'true';
    if (!useES6) {
        var fs_1 = require('fs');
        var path_1 = require('path');
        var searchConfigFile = function () {
            var configFile = path_1.join(__dirname, 'ioc.config');
            while (!fs_1.existsSync(configFile)) {
                var fileOnParent = path_1.normalize(path_1.join(path_1.dirname(configFile), '..', 'ioc.config'));
                if (configFile === fileOnParent) {
                    return null;
                }
                configFile = fileOnParent;
            }
            return configFile;
        };
        var CONFIG_FILE = searchConfigFile();
        if (CONFIG_FILE && fs_1.existsSync(CONFIG_FILE)) {
            var config = JSON.parse(fs_1.readFileSync(CONFIG_FILE));
            if (config.es6) {
                useES6 = true;
            }
        }
    }
}
module.exports = require(useES6 ? './es6' : './es5');
